OpenWrt Forum Archive

Topic: WNDRv4 fit for openwrt - english

The content of this topic has been archived between 2 Apr 2018 and 2 May 2018. Unfortunately there are posts – most likely complete pages – missing.

Thank you, I tried the sysupgrade command:

root@OpenWrt:/tmp# sysupgrade -v openwrt-ar71xx-nand-wndr3700v4-ubi-factory.img
Invalid sysupgrade file.
Image check 'platform_check_image' failed.

I used this file: http://www.mcservices.com.au/downloads/ … actory.img
and I checked the md5sum

Whats wrong?

Should I use this file? openwrt-ar71xx-nand-wndr3700v4-squashfs-sysupgrade.tar

Or should I try a different file?

(Last edited by tadeus on 16 Jan 2015, 22:25)

Have you tried starting uhttpd via commandline? it might be easier than try to reflash.

tadeus wrote:

Thank you, I tried the sysupgrade command:

root@OpenWrt:/tmp# sysupgrade -v openwrt-ar71xx-nand-wndr3700v4-ubi-factory.img
Invalid sysupgrade file.
Image check 'platform_check_image' failed.

I used this file: http://www.mcservices.com.au/downloads/ … actory.img
and I checked the md5sum

Whats wrong?

Should I use this file? openwrt-ar71xx-nand-wndr3700v4-squashfs-sysupgrade.tar

Or should I try a different file?

(Last edited by iamalittlepepper on 17 Jan 2015, 01:29)

Now it succeded to start the Webinterface again.

BUT

When I try to flash this firmware i get this message:

The uploaded image file does not contain a supported format. Make sure that you choose the generic image format for your platform.

Hey @tadeus, the file that ends in *-factory.img is used when switching from the stock Netgear firmware via their web interface or when installing via the TFTP method (especially useful when switching between builds created by different groups/people and when you may need all the settings reset to defaults). The file that ends in *-sysupgrade.tar is used by the command line sysupgrade utility and also in the LuCI web interface when you're already running modern OpenWrt firmware.

(Last edited by spencer on 17 Jan 2015, 20:10)

Thank you for this information.

I tried both files, but I still get the same "... does not contain a supported format" Message.

How can I update my image?

(Last edited by tadeus on 13 Mar 2015, 17:54)

Nobody knows how I can update?

tadeus wrote:

Nobody knows how I can update?

Try using TFTP recovery mode, as you did with the initial flash. Once on Barrier Breaker, normal OpenWrt sysupgrade functionality should work.

The discussion might have continued from here.